CREATE TABLE ffs_msg_agent_credential (
    ID                     NUMBER(10, 0) ,
    HOST                   VARCHAR2(1020),
    PORT                   VARCHAR2(20)  ,
    URL                    VARCHAR2(4000),
    USER_NAME              VARCHAR2(1020),
    PASSWORD               VARCHAR2(1020),
    HASH                   VARCHAR2(1020),
    CA_FILE                CLOB          ,
    CERT_FILE              CLOB          ,
    CRL_FILE               CLOB          ,
    EXTRA_CONFIGURATION    CLOB          ,
    KEY_FILE               CLOB          ,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    ID                     NUMBER(10, 0) ,
    HOST                   VARCHAR2(1020),
    PORT                   VARCHAR2(20)  ,
    URL                    VARCHAR2(4000),
    USER_NAME              VARCHAR2(1020),
    PASSWORD               VARCHAR2(1020),
    HASH                   VARCHAR2(1020),
    CA_FILE                CLOB          ,
    CERT_FILE              CLOB          ,
    CRL_FILE               CLOB          ,
    EXTRA_CONFIGURATION    CLOB          ,
    KEY_FILE               CLOB          ,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    CONSTRAINT pk_ffs_msg_agent_credential PRIMARY KEY (ID, ID)
);
